-- Export Plugin as Backwards Compatible
-- Created by Jason Giaffo (ma-share: HoboLX)
-- Contact: GiaffoDesigns@gmail.com






local function main()
    local input = {plugin = gma.textinput('Export Plugin', 'Enter Plugin number')}
    local default_name = gma.show.getobj.label(gma.show.getobj.handle('Plugin '..input.plugin))
    input.name = gma.textinput('Plugin Name', default_name)
    
    if (not input.plugin) then goto EOF; end;
        
    local dir = {plugin = gma.show.getvar('PLUGINPATH')..'/'}


    local file = {
        lua = dir.plugin..input.name..'.lua',
        xml = dir.plugin..input.name..'.xml'
    }

    -- get script --
    gma.cmd('SelectDrive 1')
    gma.cmd('Export Plugin '..input.plugin..' "'..input.name..'" /nc')
    
    local readfile = assert(io.open(file.xml, 'r'))
    local script = readfile:read('*a')
    readfile:close()
    
    script = script:gsub([[major_vers="%d+" minor_vers="%d+" stream_vers="%d+"]], [[major_vers="3" minor_vers="0" stream_vers="0"]])
    local writefile = assert(io.open(file.xml, 'w'))
    writefile:write(script)
    writefile:close()
    
    if gma.show.getvar('hostsubtype'):lower() == 'onpc' then
        cmd = 'Explorer "'..dir.plugin..'"'
        cmd = cmd:gsub('/', '\\')
        os.execute(cmd)
        gma.echo(cmd)
    end
    
    
    ::EOF::
end

local function cleanup()

end

return main, cleanup